package com.jiuqi.util.biff;

package .tmp;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;
import com.jiuqi.util.biff.BIFF;

public class BIFFFiler {
  protected Stream stream;
  
  protected BIFF biff;
  
  protected byte eofSign;
  
  public BIFFFiler() {
    this((Stream)new MemStream());
  }
  
  public BIFFFiler(Stream stream) {
    this.stream = stream;
    this.biff = new BIFF();
    this.eofSign = 0;
  }
  
  public Stream getStream() {
    return this.stream;
  }
  
  public BIFF getBIFF() {
    return this.biff;
  }
  
  public byte getEOFSign() {
    return this.eofSign;
  }
  
  public void setEOFSign(byte sign) {
    if (this.biff.getSign() == this.eofSign)
      this.biff.setSign(sign); 
    this.eofSign = sign;
  }
}
